
_main:
	LDI        R27, 255
	OUT        SPL+0, R27
	LDI        R27, 0
	OUT        SPL+1, R27
	IN         R28, SPL+0
	IN         R29, SPL+1
	SBIW       R28, 4
	OUT        SPL+0, R28
	OUT        SPL+1, R29
	ADIW       R28, 1

;Ds1307_Mikrobasic.mbas,22 :: 		main:
;Ds1307_Mikrobasic.mbas,24 :: 		Lcd_Init()                        ' Initialize LCD
	CALL       _Lcd_Init+0
;Ds1307_Mikrobasic.mbas,25 :: 		Lcd_Cmd(_LCD_CLEAR)
	LDI        R27, 1
	MOV        R2, R27
	CALL       _Lcd_Cmd+0
;Ds1307_Mikrobasic.mbas,26 :: 		Lcd_Cmd(_LCD_CURSOR_OFF)
	LDI        R27, 12
	MOV        R2, R27
	CALL       _Lcd_Cmd+0
;Ds1307_Mikrobasic.mbas,27 :: 		DS1307_Init()
	CALL       _DS1307_Init+0
;Ds1307_Mikrobasic.mbas,28 :: 		Ds1307_set_minute(59)
	LDI        R27, 59
	PUSH       R27
	CALL       _Ds1307_set_minute+0
	IN         R26, SPL+0
	IN         R27, SPL+1
	ADIW       R26, 1
	OUT        SPL+0, R26
	OUT        SPL+1, R27
;Ds1307_Mikrobasic.mbas,29 :: 		Ds1307_set_24h_or_12h_mode(0)
	LDI        R27, 0
	PUSH       R27
	CALL       _Ds1307_set_24h_or_12h_mode+0
	IN         R26, SPL+0
	IN         R27, SPL+1
	ADIW       R26, 1
	OUT        SPL+0, R26
	OUT        SPL+1, R27
;Ds1307_Mikrobasic.mbas,30 :: 		Ds1307_set_hour_0_23(22)
	LDI        R27, 22
	PUSH       R27
	CALL       _Ds1307_set_hour_0_23+0
	IN         R26, SPL+0
	IN         R27, SPL+1
	ADIW       R26, 1
	OUT        SPL+0, R26
	OUT        SPL+1, R27
;Ds1307_Mikrobasic.mbas,31 :: 		Ds1307_set_hour_0_11(11,1)
	LDI        R27, 1
	PUSH       R27
	LDI        R27, 11
	PUSH       R27
	CALL       _Ds1307_set_hour_0_11+0
	IN         R26, SPL+0
	IN         R27, SPL+1
	ADIW       R26, 2
	OUT        SPL+0, R26
	OUT        SPL+1, R27
;Ds1307_Mikrobasic.mbas,32 :: 		Ds1307_set_dayofweek(7)
	LDI        R27, 7
	PUSH       R27
	CALL       _Ds1307_set_dayofweek+0
	IN         R26, SPL+0
	IN         R27, SPL+1
	ADIW       R26, 1
	OUT        SPL+0, R26
	OUT        SPL+1, R27
;Ds1307_Mikrobasic.mbas,33 :: 		Ds1307_set_second(58)
	LDI        R27, 58
	PUSH       R27
	CALL       _Ds1307_set_second+0
	IN         R26, SPL+0
	IN         R27, SPL+1
	ADIW       R26, 1
	OUT        SPL+0, R26
	OUT        SPL+1, R27
;Ds1307_Mikrobasic.mbas,34 :: 		Ds1307_set_monthofyear(2)
	LDI        R27, 2
	PUSH       R27
	CALL       _Ds1307_set_monthofyear+0
	IN         R26, SPL+0
	IN         R27, SPL+1
	ADIW       R26, 1
	OUT        SPL+0, R26
	OUT        SPL+1, R27
;Ds1307_Mikrobasic.mbas,35 :: 		Ds1307_set_dayofmonth(28)
	LDI        R27, 28
	PUSH       R27
	CALL       _Ds1307_set_dayofmonth+0
	IN         R26, SPL+0
	IN         R27, SPL+1
	ADIW       R26, 1
	OUT        SPL+0, R26
	OUT        SPL+1, R27
;Ds1307_Mikrobasic.mbas,36 :: 		Ds1307_set_year(15)
	LDI        R27, 15
	PUSH       R27
	CALL       _Ds1307_set_year+0
	IN         R26, SPL+0
	IN         R27, SPL+1
	ADIW       R26, 1
	OUT        SPL+0, R26
	OUT        SPL+1, R27
;Ds1307_Mikrobasic.mbas,37 :: 		Ds1307_external_1hz_on()
	CALL       _Ds1307_external_1hz_on+0
;Ds1307_Mikrobasic.mbas,38 :: 		Ds1307_external_4096hz_on()
	CALL       _Ds1307_external_4096hz_on+0
;Ds1307_Mikrobasic.mbas,39 :: 		Ds1307_external_8192hz_on()
	CALL       _Ds1307_external_8192hz_on+0
;Ds1307_Mikrobasic.mbas,40 :: 		Ds1307_external_32768hz_on()
	CALL       _Ds1307_external_32768hz_on+0
;Ds1307_Mikrobasic.mbas,41 :: 		Ds1307_external_off_sqwe_0()
	CALL       _Ds1307_external_off_sqwe_0+0
;Ds1307_Mikrobasic.mbas,42 :: 		Ds1307_external_off_sqwe_1
	CALL       _Ds1307_external_off_sqwe_1+0
;Ds1307_Mikrobasic.mbas,43 :: 		Ds1307_write_ram(48,200)
	LDI        R27, 200
	PUSH       R27
	LDI        R27, 48
	PUSH       R27
	CALL       _Ds1307_write_ram+0
	IN         R26, SPL+0
	IN         R27, SPL+1
	ADIW       R26, 2
	OUT        SPL+0, R26
	OUT        SPL+1, R27
;Ds1307_Mikrobasic.mbas,44 :: 		while TRUE
L__main2:
;Ds1307_Mikrobasic.mbas,45 :: 		ByteToStr(Ds1307_get_hour_0_12,txt1)
	CALL       _Ds1307_get_hour_0_12+0
	LDI        R27, #lo_addr(_txt1+0)
	MOV        R3, R27
	LDI        R27, hi_addr(_txt1+0)
	MOV        R4, R27
	MOV        R2, R16
	CALL       _ByteToStr+0
;Ds1307_Mikrobasic.mbas,46 :: 		LCD_Out(1,1,txt1)
	LDI        R27, #lo_addr(_txt1+0)
	MOV        R4, R27
	LDI        R27, hi_addr(_txt1+0)
	MOV        R5, R27
	LDI        R27, 1
	MOV        R3, R27
	LDI        R27, 1
	MOV        R2, R27
	CALL       _Lcd_Out+0
;Ds1307_Mikrobasic.mbas,47 :: 		Delay_ms(500)
	LDI        R18, 21
	LDI        R17, 75
	LDI        R16, 191
L__main6:
	DEC        R16
	BRNE       L__main6
	DEC        R17
	BRNE       L__main6
	DEC        R18
	BRNE       L__main6
	NOP
;Ds1307_Mikrobasic.mbas,48 :: 		ByteToStr(Ds1307_get_minute_0_59,txt1)
	CALL       _Ds1307_get_minute_0_59+0
	LDI        R27, #lo_addr(_txt1+0)
	MOV        R3, R27
	LDI        R27, hi_addr(_txt1+0)
	MOV        R4, R27
	MOV        R2, R16
	CALL       _ByteToStr+0
;Ds1307_Mikrobasic.mbas,49 :: 		txt1[0]=":"
	LDI        R27, 58
	STS        _txt1+0, R27
;Ds1307_Mikrobasic.mbas,50 :: 		LCD_Out(1,4,txt1)
	LDI        R27, #lo_addr(_txt1+0)
	MOV        R4, R27
	LDI        R27, hi_addr(_txt1+0)
	MOV        R5, R27
	LDI        R27, 4
	MOV        R3, R27
	LDI        R27, 1
	MOV        R2, R27
	CALL       _Lcd_Out+0
;Ds1307_Mikrobasic.mbas,51 :: 		ByteToStr(Ds1307_get_second_0_59,txt1)
	CALL       _Ds1307_get_second_0_59+0
	LDI        R27, #lo_addr(_txt1+0)
	MOV        R3, R27
	LDI        R27, hi_addr(_txt1+0)
	MOV        R4, R27
	MOV        R2, R16
	CALL       _ByteToStr+0
;Ds1307_Mikrobasic.mbas,52 :: 		txt1[0]=":"
	LDI        R27, 58
	STS        _txt1+0, R27
;Ds1307_Mikrobasic.mbas,53 :: 		LCD_Out(1,7,txt1)
	LDI        R27, #lo_addr(_txt1+0)
	MOV        R4, R27
	LDI        R27, hi_addr(_txt1+0)
	MOV        R5, R27
	LDI        R27, 7
	MOV        R3, R27
	LDI        R27, 1
	MOV        R2, R27
	CALL       _Lcd_Out+0
;Ds1307_Mikrobasic.mbas,54 :: 		Delay_ms(500)
	LDI        R18, 21
	LDI        R17, 75
	LDI        R16, 191
L__main8:
	DEC        R16
	BRNE       L__main8
	DEC        R17
	BRNE       L__main8
	DEC        R18
	BRNE       L__main8
	NOP
;Ds1307_Mikrobasic.mbas,55 :: 		if Ds1307_is_24h_0_12h_1_mode=0 then
	CALL       _Ds1307_is_24h_0_12h_1_mode+0
	CPI        R16, 0
	BREQ       L__main17
	JMP        L__main11
L__main17:
;Ds1307_Mikrobasic.mbas,56 :: 		LCD_Out(1,11,"24h")
	LDI        R27, 50
	STD        Y+0, R27
	LDI        R27, 52
	STD        Y+1, R27
	LDI        R27, 104
	STD        Y+2, R27
	LDI        R27, 0
	STD        Y+3, R27
	MOVW       R16, R28
	MOVW       R4, R16
	LDI        R27, 11
	MOV        R3, R27
	LDI        R27, 1
	MOV        R2, R27
	CALL       _Lcd_Out+0
	JMP        L__main12
;Ds1307_Mikrobasic.mbas,57 :: 		else
L__main11:
;Ds1307_Mikrobasic.mbas,58 :: 		LCD_Out(1,11,"12h")
	LDI        R27, 49
	STD        Y+0, R27
	LDI        R27, 50
	STD        Y+1, R27
	LDI        R27, 104
	STD        Y+2, R27
	LDI        R27, 0
	STD        Y+3, R27
	MOVW       R16, R28
	MOVW       R4, R16
	LDI        R27, 11
	MOV        R3, R27
	LDI        R27, 1
	MOV        R2, R27
	CALL       _Lcd_Out+0
;Ds1307_Mikrobasic.mbas,59 :: 		end if
L__main12:
;Ds1307_Mikrobasic.mbas,60 :: 		if Ds1307_is_pm_1_am_0=0 then
	CALL       _Ds1307_is_pm_1_am_0+0
	CPI        R16, 0
	BREQ       L__main18
	JMP        L__main14
L__main18:
;Ds1307_Mikrobasic.mbas,61 :: 		LCD_Out(1,15,"Am")
	LDI        R27, 65
	STD        Y+0, R27
	LDI        R27, 109
	STD        Y+1, R27
	LDI        R27, 0
	STD        Y+2, R27
	MOVW       R16, R28
	MOVW       R4, R16
	LDI        R27, 15
	MOV        R3, R27
	LDI        R27, 1
	MOV        R2, R27
	CALL       _Lcd_Out+0
	JMP        L__main15
;Ds1307_Mikrobasic.mbas,62 :: 		else
L__main14:
;Ds1307_Mikrobasic.mbas,63 :: 		LCD_Out(1,15,"PM")
	LDI        R27, 80
	STD        Y+0, R27
	LDI        R27, 77
	STD        Y+1, R27
	LDI        R27, 0
	STD        Y+2, R27
	MOVW       R16, R28
	MOVW       R4, R16
	LDI        R27, 15
	MOV        R3, R27
	LDI        R27, 1
	MOV        R2, R27
	CALL       _Lcd_Out+0
;Ds1307_Mikrobasic.mbas,64 :: 		end if
L__main15:
;Ds1307_Mikrobasic.mbas,65 :: 		ByteToStr(Ds1307_get_dayofweek_1_7,txt1)
	CALL       _Ds1307_get_dayofweek_1_7+0
	LDI        R27, #lo_addr(_txt1+0)
	MOV        R3, R27
	LDI        R27, hi_addr(_txt1+0)
	MOV        R4, R27
	MOV        R2, R16
	CALL       _ByteToStr+0
;Ds1307_Mikrobasic.mbas,66 :: 		txt1[0]="D"
	LDI        R27, 68
	STS        _txt1+0, R27
;Ds1307_Mikrobasic.mbas,67 :: 		LCD_Out(2,1,txt1)
	LDI        R27, #lo_addr(_txt1+0)
	MOV        R4, R27
	LDI        R27, hi_addr(_txt1+0)
	MOV        R5, R27
	LDI        R27, 1
	MOV        R3, R27
	LDI        R27, 2
	MOV        R2, R27
	CALL       _Lcd_Out+0
;Ds1307_Mikrobasic.mbas,68 :: 		ByteToStr(Ds1307_get_dayofmonth_1_31,txt1)
	CALL       _Ds1307_get_dayofmonth_1_31+0
	LDI        R27, #lo_addr(_txt1+0)
	MOV        R3, R27
	LDI        R27, hi_addr(_txt1+0)
	MOV        R4, R27
	MOV        R2, R16
	CALL       _ByteToStr+0
;Ds1307_Mikrobasic.mbas,69 :: 		txt1[0]="d"
	LDI        R27, 100
	STS        _txt1+0, R27
;Ds1307_Mikrobasic.mbas,70 :: 		LCD_Out(2,5,txt1)
	LDI        R27, #lo_addr(_txt1+0)
	MOV        R4, R27
	LDI        R27, hi_addr(_txt1+0)
	MOV        R5, R27
	LDI        R27, 5
	MOV        R3, R27
	LDI        R27, 2
	MOV        R2, R27
	CALL       _Lcd_Out+0
;Ds1307_Mikrobasic.mbas,71 :: 		ByteToStr(Ds1307_get_monthofyear_1_12,txt1)
	CALL       _Ds1307_get_monthofyear_1_12+0
	LDI        R27, #lo_addr(_txt1+0)
	MOV        R3, R27
	LDI        R27, hi_addr(_txt1+0)
	MOV        R4, R27
	MOV        R2, R16
	CALL       _ByteToStr+0
;Ds1307_Mikrobasic.mbas,72 :: 		txt1[0]="m"
	LDI        R27, 109
	STS        _txt1+0, R27
;Ds1307_Mikrobasic.mbas,73 :: 		LCD_Out(2,8,txt1)
	LDI        R27, #lo_addr(_txt1+0)
	MOV        R4, R27
	LDI        R27, hi_addr(_txt1+0)
	MOV        R5, R27
	LDI        R27, 8
	MOV        R3, R27
	LDI        R27, 2
	MOV        R2, R27
	CALL       _Lcd_Out+0
;Ds1307_Mikrobasic.mbas,74 :: 		ByteToStr(Ds1307_get_year_0_99,txt1)
	CALL       _Ds1307_get_year_0_99+0
	LDI        R27, #lo_addr(_txt1+0)
	MOV        R3, R27
	LDI        R27, hi_addr(_txt1+0)
	MOV        R4, R27
	MOV        R2, R16
	CALL       _ByteToStr+0
;Ds1307_Mikrobasic.mbas,75 :: 		txt1[0]="y"
	LDI        R27, 121
	STS        _txt1+0, R27
;Ds1307_Mikrobasic.mbas,76 :: 		LCD_Out(2,11,txt1)
	LDI        R27, #lo_addr(_txt1+0)
	MOV        R4, R27
	LDI        R27, hi_addr(_txt1+0)
	MOV        R5, R27
	LDI        R27, 11
	MOV        R3, R27
	LDI        R27, 2
	MOV        R2, R27
	CALL       _Lcd_Out+0
;Ds1307_Mikrobasic.mbas,77 :: 		ByteToStr(Ds1307_read_ram(48),txt1)
	LDI        R27, 48
	PUSH       R27
	CALL       _Ds1307_read_ram+0
	IN         R26, SPL+0
	IN         R27, SPL+1
	ADIW       R26, 1
	OUT        SPL+0, R26
	OUT        SPL+1, R27
	LDI        R27, #lo_addr(_txt1+0)
	MOV        R3, R27
	LDI        R27, hi_addr(_txt1+0)
	MOV        R4, R27
	MOV        R2, R16
	CALL       _ByteToStr+0
;Ds1307_Mikrobasic.mbas,79 :: 		LCD_Out(2,11,txt1)
	LDI        R27, #lo_addr(_txt1+0)
	MOV        R4, R27
	LDI        R27, hi_addr(_txt1+0)
	MOV        R5, R27
	LDI        R27, 11
	MOV        R3, R27
	LDI        R27, 2
	MOV        R2, R27
	CALL       _Lcd_Out+0
;Ds1307_Mikrobasic.mbas,85 :: 		wend
	JMP        L__main2
L_end_main:
L__main_end_loop:
	JMP        L__main_end_loop
; end of _main
