
_DS1307_Init:

;DS1307_module.mbas,50 :: 		sub procedure DS1307_Init()
;DS1307_module.mbas,51 :: 		Soft_I2C_Init()    'i2c soft speed is 20khz
	CALL       _Soft_I2C_Init+0
;DS1307_module.mbas,52 :: 		Delay_ms(50)
	LDI        R18, 3
	LDI        R17, 8
	LDI        R16, 120
L__DS1307_Init1:
	DEC        R16
	BRNE       L__DS1307_Init1
	DEC        R17
	BRNE       L__DS1307_Init1
	DEC        R18
	BRNE       L__DS1307_Init1
;DS1307_module.mbas,53 :: 		end sub
L_end_DS1307_Init:
	RET
; end of _DS1307_Init

DS1307_module_DS1307_I2cRead:
	PUSH       R28
	PUSH       R29
	IN         R28, SPL+0
	IN         R29, SPL+1
	SBIW       R28, 1
	OUT        SPL+0, R28
	OUT        SPL+1, R29
	ADIW       R28, 1

;DS1307_module.mbas,55 :: 		sub function DS1307_I2cRead(dim index as byte)as byte
;DS1307_module.mbas,56 :: 		Soft_I2C_Start() 'i2c start
	CALL       _Soft_I2C_Start+0
;DS1307_module.mbas,57 :: 		Soft_I2C_Write(%11010000) 'write mode
	LDI        R27, 208
	MOV        R2, R27
	CALL       _Soft_I2C_Write+0
;DS1307_module.mbas,58 :: 		Soft_I2C_Write(index) 'set ds1307 registr address index
	LDD        R2, Y+5
	CALL       _Soft_I2C_Write+0
;DS1307_module.mbas,59 :: 		Soft_I2C_Start() 'restart i2c for change mode
	CALL       _Soft_I2C_Start+0
;DS1307_module.mbas,60 :: 		Soft_I2C_Write(%11010001)  'read mode
	LDI        R27, 209
	MOV        R2, R27
	CALL       _Soft_I2C_Write+0
;DS1307_module.mbas,61 :: 		DS1307_I2cRead = Soft_I2C_Read(0) 'read and return defult registr(index) in nack mode
	CLR        R2
	CLR        R3
	CALL       _Soft_I2C_Read+0
	STD        Y+0, R16
;DS1307_module.mbas,62 :: 		end sub
	LDD        R16, Y+0
L_end_DS1307_I2cRead:
	OUT        SPL+0, R28
	OUT        SPL+1, R29
	POP        R29
	POP        R28
	RET
; end of DS1307_module_DS1307_I2cRead

DS1307_module_DS1307_I2cwrite:
	PUSH       R28
	PUSH       R29
	IN         R28, SPL+0
	IN         R29, SPL+1
	ADIW       R28, 5

;DS1307_module.mbas,64 :: 		sub procedure DS1307_I2cwrite(dim index , value as byte)
;DS1307_module.mbas,65 :: 		Soft_I2C_Start() 'i2c start
	CALL       _Soft_I2C_Start+0
;DS1307_module.mbas,66 :: 		Soft_I2C_Write(%11010000) 'write mode
	LDI        R27, 208
	MOV        R2, R27
	CALL       _Soft_I2C_Write+0
;DS1307_module.mbas,67 :: 		Soft_I2C_Write(index) 'set ds1307 registr  address index
	LDD        R2, Y+0
	CALL       _Soft_I2C_Write+0
;DS1307_module.mbas,68 :: 		Soft_I2C_Write(value)  'write value
	LDD        R2, Y+1
	CALL       _Soft_I2C_Write+0
;DS1307_module.mbas,69 :: 		end sub
L_end_DS1307_I2cwrite:
	POP        R29
	POP        R28
	RET
; end of DS1307_module_DS1307_I2cwrite

_Ds1307_is_play0_pause1:
	PUSH       R28
	PUSH       R29
	IN         R28, SPL+0
	IN         R29, SPL+1
	SBIW       R28, 1
	OUT        SPL+0, R28
	OUT        SPL+1, R29
	ADIW       R28, 1

;DS1307_module.mbas,71 :: 		sub Function Ds1307_is_play0_pause1()as Byte                    'timer and date counter is pause or play?
;DS1307_module.mbas,72 :: 		a=DS1307_I2cRead(0)
	LDI        R27, 0
	PUSH       R27
	CALL       DS1307_module_DS1307_I2cRead+0
	IN         R26, SPL+0
	IN         R27, SPL+1
	ADIW       R26, 1
	OUT        SPL+0, R26
	OUT        SPL+1, R27
	STS        _a+0, R16
;DS1307_module.mbas,73 :: 		A = A And %10000000
	LDS        R16, _a+0
	ANDI       R16, 128
	STS        _a+0, R16
;DS1307_module.mbas,74 :: 		If A = 0 Then                                             'bit_7 is 0
	LDS        R16, _a+0
	CPI        R16, 0
	BREQ       L__Ds1307_is_play0_pause1147
	JMP        L__Ds1307_is_play0_pause17
L__Ds1307_is_play0_pause1147:
;DS1307_module.mbas,75 :: 		Ds1307_is_play0_pause1 = 0
	LDI        R27, 0
	STD        Y+0, R27
	JMP        L__Ds1307_is_play0_pause18
;DS1307_module.mbas,76 :: 		Else                                                     'bit_7 is 1
L__Ds1307_is_play0_pause17:
;DS1307_module.mbas,77 :: 		Ds1307_is_play0_pause1 = 1
	LDI        R27, 1
	STD        Y+0, R27
;DS1307_module.mbas,78 :: 		End If
L__Ds1307_is_play0_pause18:
;DS1307_module.mbas,79 :: 		Soft_I2C_Stop()
	CALL       _Soft_I2C_Stop+0
;DS1307_module.mbas,80 :: 		end sub
	LDD        R16, Y+0
L_end_Ds1307_is_play0_pause1:
	OUT        SPL+0, R28
	OUT        SPL+1, R29
	POP        R29
	POP        R28
	RET
; end of _Ds1307_is_play0_pause1

_Ds1307_play:

;DS1307_module.mbas,82 :: 		Sub procedure Ds1307_play()                                           'timer and date counter-->play
;DS1307_module.mbas,83 :: 		a= DS1307_I2cRead(0)                     'if bit_7=0 is play else ...
	LDI        R27, 0
	PUSH       R27
	CALL       DS1307_module_DS1307_I2cRead+0
	IN         R26, SPL+0
	IN         R27, SPL+1
	ADIW       R26, 1
	OUT        SPL+0, R26
	OUT        SPL+1, R27
	STS        _a+0, R16
;DS1307_module.mbas,84 :: 		if a.7=1 then 'is pause
	LDS        R27, _a+0
	SBRS       R27, 7
	JMP        L__Ds1307_play11
;DS1307_module.mbas,85 :: 		a.7=0
	LDS        R27, _a+0
	CBR        R27, 128
	STS        _a+0, R27
;DS1307_module.mbas,86 :: 		DS1307_I2cwrite(0,a)
	LDS        R16, _a+0
	PUSH       R16
	LDI        R27, 0
	PUSH       R27
	CALL       DS1307_module_DS1307_I2cwrite+0
	IN         R26, SPL+0
	IN         R27, SPL+1
	ADIW       R26, 2
	OUT        SPL+0, R26
	OUT        SPL+1, R27
L__Ds1307_play11:
;DS1307_module.mbas,88 :: 		Soft_I2C_Stop()
	CALL       _Soft_I2C_Stop+0
;DS1307_module.mbas,89 :: 		end sub
L_end_Ds1307_play:
	RET
; end of _Ds1307_play

_Ds1307_pause:

;DS1307_module.mbas,91 :: 		Sub procedure Ds1307_pause()                                           'timer and date conter-->pause
;DS1307_module.mbas,92 :: 		a= DS1307_I2cRead(0)                     'if bit_7=0 is play else ...
	LDI        R27, 0
	PUSH       R27
	CALL       DS1307_module_DS1307_I2cRead+0
	IN         R26, SPL+0
	IN         R27, SPL+1
	ADIW       R26, 1
	OUT        SPL+0, R26
	OUT        SPL+1, R27
	STS        _a+0, R16
;DS1307_module.mbas,93 :: 		if a.7=0 then 'is play
	LDS        R27, _a+0
	SBRC       R27, 7
	JMP        L__Ds1307_pause15
;DS1307_module.mbas,94 :: 		a.7=1
	LDS        R27, _a+0
	SBR        R27, 128
	STS        _a+0, R27
;DS1307_module.mbas,95 :: 		DS1307_I2cwrite(0,a)
	LDS        R16, _a+0
	PUSH       R16
	LDI        R27, 0
	PUSH       R27
	CALL       DS1307_module_DS1307_I2cwrite+0
	IN         R26, SPL+0
	IN         R27, SPL+1
	ADIW       R26, 2
	OUT        SPL+0, R26
	OUT        SPL+1, R27
L__Ds1307_pause15:
;DS1307_module.mbas,97 :: 		Soft_I2C_Stop()
	CALL       _Soft_I2C_Stop+0
;DS1307_module.mbas,98 :: 		end sub
L_end_Ds1307_pause:
	RET
; end of _Ds1307_pause

_Ds1307_set_second:
	PUSH       R28
	PUSH       R29
	IN         R28, SPL+0
	IN         R29, SPL+1
	SBIW       R28, 1
	OUT        SPL+0, R28
	OUT        SPL+1, R29
	ADIW       R28, 1

;DS1307_module.mbas,100 :: 		Sub procedure Ds1307_set_second(dim Second_0_59 As Byte)
;DS1307_module.mbas,101 :: 		If Second_0_59 > 59 Then
	LDD        R17, Y+5
	LDI        R16, 59
	CP         R16, R17
	BRLO       L__Ds1307_set_second151
	JMP        L__Ds1307_set_second19
L__Ds1307_set_second151:
;DS1307_module.mbas,102 :: 		Exit
	JMP        L_end__Ds1307_set_second
L__Ds1307_set_second19:
;DS1307_module.mbas,104 :: 		DS1307_I2cwrite(0,(DS1307_I2cRead(0) and %10000000) or Dec2Bcd(Second_0_59))  'extract bit_7 > merge with new second > write
	LDI        R27, 0
	PUSH       R27
	CALL       DS1307_module_DS1307_I2cRead+0
	IN         R26, SPL+0
	IN         R27, SPL+1
	ADIW       R26, 1
	OUT        SPL+0, R26
	OUT        SPL+1, R27
	ANDI       R16, 128
	STD        Y+0, R16
	LDD        R2, Y+5
	CALL       _Dec2Bcd+0
	LDD        R17, Y+0
	OR         R16, R17
	PUSH       R16
	LDI        R27, 0
	PUSH       R27
	CALL       DS1307_module_DS1307_I2cwrite+0
	IN         R26, SPL+0
	IN         R27, SPL+1
	ADIW       R26, 2
	OUT        SPL+0, R26
	OUT        SPL+1, R27
;DS1307_module.mbas,105 :: 		Soft_I2C_Stop()
	CALL       _Soft_I2C_Stop+0
;DS1307_module.mbas,106 :: 		end sub
L_end__Ds1307_set_second:
L_end_Ds1307_set_second:
	OUT        SPL+0, R28
	OUT        SPL+1, R29
	POP        R29
	POP        R28
	RET
; end of _Ds1307_set_second

_Ds1307_get_second_0_59:
	PUSH       R28
	PUSH       R29
	IN         R28, SPL+0
	IN         R29, SPL+1
	SBIW       R28, 1
	OUT        SPL+0, R28
	OUT        SPL+1, R29
	ADIW       R28, 1

;DS1307_module.mbas,108 :: 		sub Function Ds1307_get_second_0_59() As Byte
;DS1307_module.mbas,109 :: 		Ds1307_get_second_0_59 = Bcd2Dec(DS1307_I2cRead(0) and  %01111111)  'read register_0 > clear bit_7 >return bcd2dec value
	LDI        R27, 0
	PUSH       R27
	CALL       DS1307_module_DS1307_I2cRead+0
	IN         R26, SPL+0
	IN         R27, SPL+1
	ADIW       R26, 1
	OUT        SPL+0, R26
	OUT        SPL+1, R27
	ANDI       R16, 127
	MOV        R2, R16
	CALL       _Bcd2Dec+0
	STD        Y+0, R16
;DS1307_module.mbas,110 :: 		Soft_I2C_Stop()
	CALL       _Soft_I2C_Stop+0
;DS1307_module.mbas,111 :: 		end sub
	LDD        R16, Y+0
L_end_Ds1307_get_second_0_59:
	OUT        SPL+0, R28
	OUT        SPL+1, R29
	POP        R29
	POP        R28
	RET
; end of _Ds1307_get_second_0_59

_Ds1307_set_minute:
	PUSH       R28
	PUSH       R29
	IN         R28, SPL+0
	IN         R29, SPL+1
	ADIW       R28, 5

;DS1307_module.mbas,113 :: 		Sub procedure Ds1307_set_minute(dim Minute_0_59 As Byte)
;DS1307_module.mbas,114 :: 		If Minute_0_59 > 59 Then
	LDD        R17, Y+0
	LDI        R16, 59
	CP         R16, R17
	BRLO       L__Ds1307_set_minute154
	JMP        L__Ds1307_set_minute24
L__Ds1307_set_minute154:
;DS1307_module.mbas,115 :: 		Exit
	JMP        L_end__Ds1307_set_minute
L__Ds1307_set_minute24:
;DS1307_module.mbas,117 :: 		DS1307_I2cwrite(1,Dec2Bcd(Minute_0_59))
	LDD        R2, Y+0
	CALL       _Dec2Bcd+0
	PUSH       R16
	LDI        R27, 1
	PUSH       R27
	CALL       DS1307_module_DS1307_I2cwrite+0
	IN         R26, SPL+0
	IN         R27, SPL+1
	ADIW       R26, 2
	OUT        SPL+0, R26
	OUT        SPL+1, R27
;DS1307_module.mbas,118 :: 		Soft_I2C_Stop()
	CALL       _Soft_I2C_Stop+0
;DS1307_module.mbas,119 :: 		end sub
L_end__Ds1307_set_minute:
L_end_Ds1307_set_minute:
	POP        R29
	POP        R28
	RET
; end of _Ds1307_set_minute

_Ds1307_get_minute_0_59:
	PUSH       R28
	PUSH       R29
	IN         R28, SPL+0
	IN         R29, SPL+1
	SBIW       R28, 1
	OUT        SPL+0, R28
	OUT        SPL+1, R29
	ADIW       R28, 1

;DS1307_module.mbas,121 :: 		sub Function Ds1307_get_minute_0_59() As Byte
;DS1307_module.mbas,122 :: 		Ds1307_get_minute_0_59 = Bcd2Dec(DS1307_I2cRead(1))
	LDI        R27, 1
	PUSH       R27
	CALL       DS1307_module_DS1307_I2cRead+0
	IN         R26, SPL+0
	IN         R27, SPL+1
	ADIW       R26, 1
	OUT        SPL+0, R26
	OUT        SPL+1, R27
	MOV        R2, R16
	CALL       _Bcd2Dec+0
	STD        Y+0, R16
;DS1307_module.mbas,123 :: 		Soft_I2C_Stop()
	CALL       _Soft_I2C_Stop+0
;DS1307_module.mbas,124 :: 		end sub
	LDD        R16, Y+0
L_end_Ds1307_get_minute_0_59:
	OUT        SPL+0, R28
	OUT        SPL+1, R29
	POP        R29
	POP        R28
	RET
; end of _Ds1307_get_minute_0_59

_Ds1307_is_24h_0_12h_1_mode:
	PUSH       R28
	PUSH       R29
	IN         R28, SPL+0
	IN         R29, SPL+1
	SBIW       R28, 1
	OUT        SPL+0, R28
	OUT        SPL+1, R29
	ADIW       R28, 1

;DS1307_module.mbas,126 :: 		sub Function Ds1307_is_24h_0_12h_1_mode() As Byte
;DS1307_module.mbas,127 :: 		Ds1307_is_24h_0_12h_1_mode = DS1307_I2cRead(2).6
	LDI        R27, 2
	PUSH       R27
	CALL       DS1307_module_DS1307_I2cRead+0
	IN         R26, SPL+0
	IN         R27, SPL+1
	ADIW       R26, 1
	OUT        SPL+0, R26
	OUT        SPL+1, R27
	CLR        R27
	SBRC       R16, 6
	INC        R27
	STD        Y+0, R27
;DS1307_module.mbas,128 :: 		Soft_I2C_Stop()
	CALL       _Soft_I2C_Stop+0
;DS1307_module.mbas,129 :: 		end sub
	LDD        R16, Y+0
L_end_Ds1307_is_24h_0_12h_1_mode:
	OUT        SPL+0, R28
	OUT        SPL+1, R29
	POP        R29
	POP        R28
	RET
; end of _Ds1307_is_24h_0_12h_1_mode

_Ds1307_set_24h_or_12h_mode:
	PUSH       R28
	PUSH       R29
	IN         R28, SPL+0
	IN         R29, SPL+1
	ADIW       R28, 5

;DS1307_module.mbas,131 :: 		Sub procedure Ds1307_set_24h_or_12h_mode(dim _24h_0_12h_1 As Byte)
;DS1307_module.mbas,132 :: 		If _24h_0_12h_1 > 1 Then
	LDD        R17, Y+0
	LDI        R16, 1
	CP         R16, R17
	BRLO       L__Ds1307_set_24h_or_12h_mode158
	JMP        L__Ds1307_set_24h_or_12h_mode30
L__Ds1307_set_24h_or_12h_mode158:
;DS1307_module.mbas,133 :: 		Exit
	JMP        L_end__Ds1307_set_24h_or_12h_mode
L__Ds1307_set_24h_or_12h_mode30:
;DS1307_module.mbas,135 :: 		a=DS1307_I2cRead(2)
	LDI        R27, 2
	PUSH       R27
	CALL       DS1307_module_DS1307_I2cRead+0
	IN         R26, SPL+0
	IN         R27, SPL+1
	ADIW       R26, 1
	OUT        SPL+0, R26
	OUT        SPL+1, R27
	STS        _a+0, R16
;DS1307_module.mbas,136 :: 		if a.6 <> _24h_0_12h_1 then  'is not equal mode
	LDS        R0, _a+0
	CLR        R17
	SBRC       R0, 6
	INC        R17
	LDD        R16, Y+0
	CP         R17, R16
	BRNE       L__Ds1307_set_24h_or_12h_mode159
	JMP        L__Ds1307_set_24h_or_12h_mode33
L__Ds1307_set_24h_or_12h_mode159:
;DS1307_module.mbas,137 :: 		if a.6=0 then      'is 24h mode  -->change to 12h mode
	LDS        R27, _a+0
	SBRC       R27, 6
	JMP        L__Ds1307_set_24h_or_12h_mode36
;DS1307_module.mbas,138 :: 		b = Bcd2Dec(A And %00111111)
	LDS        R16, _a+0
	ANDI       R16, 63
	MOV        R2, R16
	CALL       _Bcd2Dec+0
	STS        _b+0, R16
;DS1307_module.mbas,139 :: 		if  B < 12 Then '>set am
	LDS        R16, _b+0
	CPI        R16, 12
	BRLO       L__Ds1307_set_24h_or_12h_mode160
	JMP        L__Ds1307_set_24h_or_12h_mode39
L__Ds1307_set_24h_or_12h_mode160:
;DS1307_module.mbas,140 :: 		A = A And %00011111
	LDS        R16, _a+0
	ANDI       R16, 31
	STS        _a+0, R16
;DS1307_module.mbas,141 :: 		A = A Or  %01000000
	LDS        R27, _a+0
	SBR        R27, 64
	STS        _a+0, R27
	JMP        L__Ds1307_set_24h_or_12h_mode40
;DS1307_module.mbas,142 :: 		else
L__Ds1307_set_24h_or_12h_mode39:
;DS1307_module.mbas,143 :: 		if B = 12 then '>set pm
	LDS        R16, _b+0
	CPI        R16, 12
	BREQ       L__Ds1307_set_24h_or_12h_mode161
	JMP        L__Ds1307_set_24h_or_12h_mode42
L__Ds1307_set_24h_or_12h_mode161:
;DS1307_module.mbas,144 :: 		A = A And %00011111
	LDS        R16, _a+0
	ANDI       R16, 31
	STS        _a+0, R16
;DS1307_module.mbas,145 :: 		A = A Or %01100000
	LDS        R16, _a+0
	ORI        R16, 96
	STS        _a+0, R16
	JMP        L__Ds1307_set_24h_or_12h_mode43
;DS1307_module.mbas,146 :: 		else    'b > 12 ->set pm and houre= h -12
L__Ds1307_set_24h_or_12h_mode42:
;DS1307_module.mbas,147 :: 		a = Dec2Bcd(b-12) or %01100000
	LDS        R16, _b+0
	SUBI       R16, 12
	MOV        R2, R16
	CALL       _Dec2Bcd+0
	ORI        R16, 96
	STS        _a+0, R16
;DS1307_module.mbas,148 :: 		end if
L__Ds1307_set_24h_or_12h_mode43:
;DS1307_module.mbas,149 :: 		end if
L__Ds1307_set_24h_or_12h_mode40:
	JMP        L__Ds1307_set_24h_or_12h_mode37
;DS1307_module.mbas,150 :: 		else               'is 12h mode  -->change to 24h mode
L__Ds1307_set_24h_or_12h_mode36:
;DS1307_module.mbas,151 :: 		if a.5=0 then    'is am
	LDS        R27, _a+0
	SBRC       R27, 5
	JMP        L__Ds1307_set_24h_or_12h_mode45
;DS1307_module.mbas,152 :: 		A = A And %00111111
	LDS        R16, _a+0
	ANDI       R16, 63
	STS        _a+0, R16
	JMP        L__Ds1307_set_24h_or_12h_mode46
;DS1307_module.mbas,153 :: 		else             'is pm
L__Ds1307_set_24h_or_12h_mode45:
;DS1307_module.mbas,154 :: 		if Bcd2Dec(A And %00011111) = 12 then
	LDS        R16, _a+0
	ANDI       R16, 31
	MOV        R2, R16
	CALL       _Bcd2Dec+0
	CPI        R16, 12
	BREQ       L__Ds1307_set_24h_or_12h_mode162
	JMP        L__Ds1307_set_24h_or_12h_mode48
L__Ds1307_set_24h_or_12h_mode162:
;DS1307_module.mbas,155 :: 		A = A And %00011111
	LDS        R16, _a+0
	ANDI       R16, 31
	STS        _a+0, R16
	JMP        L__Ds1307_set_24h_or_12h_mode49
;DS1307_module.mbas,156 :: 		else         'is<12
L__Ds1307_set_24h_or_12h_mode48:
;DS1307_module.mbas,157 :: 		A = Dec2Bcd(Bcd2Dec(a)+12)
	LDS        R2, _a+0
	CALL       _Bcd2Dec+0
	SUBI       R16, 244
	MOV        R2, R16
	CALL       _Dec2Bcd+0
	STS        _a+0, R16
;DS1307_module.mbas,158 :: 		end if
L__Ds1307_set_24h_or_12h_mode49:
;DS1307_module.mbas,159 :: 		end if
L__Ds1307_set_24h_or_12h_mode46:
;DS1307_module.mbas,160 :: 		end if
L__Ds1307_set_24h_or_12h_mode37:
;DS1307_module.mbas,161 :: 		DS1307_I2cwrite(2,a)
	LDS        R16, _a+0
	PUSH       R16
	LDI        R27, 2
	PUSH       R27
	CALL       DS1307_module_DS1307_I2cwrite+0
	IN         R26, SPL+0
	IN         R27, SPL+1
	ADIW       R26, 2
	OUT        SPL+0, R26
	OUT        SPL+1, R27
L__Ds1307_set_24h_or_12h_mode33:
;DS1307_module.mbas,163 :: 		Soft_I2C_Stop()
	CALL       _Soft_I2C_Stop+0
;DS1307_module.mbas,164 :: 		end sub
L_end__Ds1307_set_24h_or_12h_mode:
L_end_Ds1307_set_24h_or_12h_mode:
	POP        R29
	POP        R28
	RET
; end of _Ds1307_set_24h_or_12h_mode

_Ds1307_is_pm_1_am_0:
	PUSH       R28
	PUSH       R29
	IN         R28, SPL+0
	IN         R29, SPL+1
	SBIW       R28, 1
	OUT        SPL+0, R28
	OUT        SPL+1, R29
	ADIW       R28, 1

;DS1307_module.mbas,166 :: 		sub Function Ds1307_is_pm_1_am_0() As Byte
;DS1307_module.mbas,167 :: 		A=DS1307_I2cRead(2)
	LDI        R27, 2
	PUSH       R27
	CALL       DS1307_module_DS1307_I2cRead+0
	IN         R26, SPL+0
	IN         R27, SPL+1
	ADIW       R26, 1
	OUT        SPL+0, R26
	OUT        SPL+1, R27
	STS        _a+0, R16
;DS1307_module.mbas,168 :: 		if a.6=0 then     'is 24h mode
	LDS        R27, _a+0
	SBRC       R27, 6
	JMP        L__Ds1307_is_pm_1_am_052
;DS1307_module.mbas,169 :: 		If Bcd2Dec(A And %00111111) < 12 Then                'is am
	LDS        R16, _a+0
	ANDI       R16, 63
	MOV        R2, R16
	CALL       _Bcd2Dec+0
	CPI        R16, 12
	BRLO       L__Ds1307_is_pm_1_am_0164
	JMP        L__Ds1307_is_pm_1_am_055
L__Ds1307_is_pm_1_am_0164:
;DS1307_module.mbas,170 :: 		Ds1307_is_pm_1_am_0 = 0
	LDI        R27, 0
	STD        Y+0, R27
	JMP        L__Ds1307_is_pm_1_am_056
;DS1307_module.mbas,171 :: 		Else                                                 'is pm
L__Ds1307_is_pm_1_am_055:
;DS1307_module.mbas,172 :: 		Ds1307_is_pm_1_am_0 = 1
	LDI        R27, 1
	STD        Y+0, R27
;DS1307_module.mbas,173 :: 		End If
L__Ds1307_is_pm_1_am_056:
	JMP        L__Ds1307_is_pm_1_am_053
;DS1307_module.mbas,174 :: 		else              'is 12h mode
L__Ds1307_is_pm_1_am_052:
;DS1307_module.mbas,175 :: 		If a.5 = 0 Then                                      'is am
	LDS        R27, _a+0
	SBRC       R27, 5
	JMP        L__Ds1307_is_pm_1_am_058
;DS1307_module.mbas,176 :: 		Ds1307_is_pm_1_am_0 = 0
	LDI        R27, 0
	STD        Y+0, R27
	JMP        L__Ds1307_is_pm_1_am_059
;DS1307_module.mbas,177 :: 		Else                                                 ' is pm
L__Ds1307_is_pm_1_am_058:
;DS1307_module.mbas,178 :: 		Ds1307_is_pm_1_am_0 = 1
	LDI        R27, 1
	STD        Y+0, R27
;DS1307_module.mbas,179 :: 		End If
L__Ds1307_is_pm_1_am_059:
;DS1307_module.mbas,180 :: 		end if
L__Ds1307_is_pm_1_am_053:
;DS1307_module.mbas,181 :: 		Soft_I2C_Stop()
	CALL       _Soft_I2C_Stop+0
;DS1307_module.mbas,182 :: 		end sub
	LDD        R16, Y+0
L_end_Ds1307_is_pm_1_am_0:
	OUT        SPL+0, R28
	OUT        SPL+1, R29
	POP        R29
	POP        R28
	RET
; end of _Ds1307_is_pm_1_am_0

_Ds1307_get_hour_0_23:
	PUSH       R28
	PUSH       R29
	IN         R28, SPL+0
	IN         R29, SPL+1
	SBIW       R28, 1
	OUT        SPL+0, R28
	OUT        SPL+1, R29
	ADIW       R28, 1

;DS1307_module.mbas,184 :: 		sub Function Ds1307_get_hour_0_23() As Byte
;DS1307_module.mbas,185 :: 		A=DS1307_I2cRead(2)
	LDI        R27, 2
	PUSH       R27
	CALL       DS1307_module_DS1307_I2cRead+0
	IN         R26, SPL+0
	IN         R27, SPL+1
	ADIW       R26, 1
	OUT        SPL+0, R26
	OUT        SPL+1, R27
	STS        _a+0, R16
;DS1307_module.mbas,186 :: 		if a.6 = 0 then   'is 24h mode
	LDS        R27, _a+0
	SBRC       R27, 6
	JMP        L__Ds1307_get_hour_0_2362
;DS1307_module.mbas,187 :: 		Ds1307_get_hour_0_23 = Bcd2Dec(A And %00111111)
	LDS        R16, _a+0
	ANDI       R16, 63
	MOV        R2, R16
	CALL       _Bcd2Dec+0
	STD        Y+0, R16
	JMP        L__Ds1307_get_hour_0_2363
;DS1307_module.mbas,188 :: 		else              'is 12h mode
L__Ds1307_get_hour_0_2362:
;DS1307_module.mbas,189 :: 		if a.5=0 then         'is am
	LDS        R27, _a+0
	SBRC       R27, 5
	JMP        L__Ds1307_get_hour_0_2365
;DS1307_module.mbas,190 :: 		Ds1307_get_hour_0_23 = Bcd2Dec(A And %00011111)
	LDS        R16, _a+0
	ANDI       R16, 31
	MOV        R2, R16
	CALL       _Bcd2Dec+0
	STD        Y+0, R16
	JMP        L__Ds1307_get_hour_0_2366
;DS1307_module.mbas,191 :: 		else                  'is pm
L__Ds1307_get_hour_0_2365:
;DS1307_module.mbas,192 :: 		a=Bcd2Dec(A And %00011111)
	LDS        R16, _a+0
	ANDI       R16, 31
	MOV        R2, R16
	CALL       _Bcd2Dec+0
	STS        _a+0, R16
;DS1307_module.mbas,193 :: 		if a = 12 then
	LDS        R16, _a+0
	CPI        R16, 12
	BREQ       L__Ds1307_get_hour_0_23166
	JMP        L__Ds1307_get_hour_0_2368
L__Ds1307_get_hour_0_23166:
;DS1307_module.mbas,194 :: 		Ds1307_get_hour_0_23 = A
	LDS        R16, _a+0
	STD        Y+0, R16
	JMP        L__Ds1307_get_hour_0_2369
;DS1307_module.mbas,195 :: 		else
L__Ds1307_get_hour_0_2368:
;DS1307_module.mbas,196 :: 		Ds1307_get_hour_0_23 = A + 12
	LDS        R16, _a+0
	SUBI       R16, 244
	STD        Y+0, R16
;DS1307_module.mbas,197 :: 		end if
L__Ds1307_get_hour_0_2369:
;DS1307_module.mbas,198 :: 		end if
L__Ds1307_get_hour_0_2366:
;DS1307_module.mbas,199 :: 		end if
L__Ds1307_get_hour_0_2363:
;DS1307_module.mbas,200 :: 		Soft_I2C_Stop()
	CALL       _Soft_I2C_Stop+0
;DS1307_module.mbas,201 :: 		end sub
	LDD        R16, Y+0
L_end_Ds1307_get_hour_0_23:
	OUT        SPL+0, R28
	OUT        SPL+1, R29
	POP        R29
	POP        R28
	RET
; end of _Ds1307_get_hour_0_23

_Ds1307_get_hour_0_12:
	PUSH       R28
	PUSH       R29
	IN         R28, SPL+0
	IN         R29, SPL+1
	SBIW       R28, 1
	OUT        SPL+0, R28
	OUT        SPL+1, R29
	ADIW       R28, 1

;DS1307_module.mbas,203 :: 		sub Function Ds1307_get_hour_0_12() As Byte
;DS1307_module.mbas,204 :: 		A=DS1307_I2cRead(2)
	LDI        R27, 2
	PUSH       R27
	CALL       DS1307_module_DS1307_I2cRead+0
	IN         R26, SPL+0
	IN         R27, SPL+1
	ADIW       R26, 1
	OUT        SPL+0, R26
	OUT        SPL+1, R27
	STS        _a+0, R16
;DS1307_module.mbas,205 :: 		if a.6 = 0 then   'is 24h mode
	LDS        R27, _a+0
	SBRC       R27, 6
	JMP        L__Ds1307_get_hour_0_1272
;DS1307_module.mbas,206 :: 		a = Bcd2Dec( A And %00111111)
	LDS        R16, _a+0
	ANDI       R16, 63
	MOV        R2, R16
	CALL       _Bcd2Dec+0
	STS        _a+0, R16
;DS1307_module.mbas,207 :: 		if  a > 12 then
	LDS        R17, _a+0
	LDI        R16, 12
	CP         R16, R17
	BRLO       L__Ds1307_get_hour_0_12168
	JMP        L__Ds1307_get_hour_0_1275
L__Ds1307_get_hour_0_12168:
;DS1307_module.mbas,208 :: 		a = a - 12
	LDS        R16, _a+0
	SUBI       R16, 12
	STS        _a+0, R16
L__Ds1307_get_hour_0_1275:
;DS1307_module.mbas,210 :: 		Ds1307_get_hour_0_12 = a
	LDS        R16, _a+0
	STD        Y+0, R16
	JMP        L__Ds1307_get_hour_0_1273
;DS1307_module.mbas,211 :: 		else              'is 12h mode
L__Ds1307_get_hour_0_1272:
;DS1307_module.mbas,212 :: 		Ds1307_get_hour_0_12 = Bcd2Dec(A And %00011111)
	LDS        R16, _a+0
	ANDI       R16, 31
	MOV        R2, R16
	CALL       _Bcd2Dec+0
	STD        Y+0, R16
;DS1307_module.mbas,213 :: 		end if
L__Ds1307_get_hour_0_1273:
;DS1307_module.mbas,214 :: 		Soft_I2C_Stop()
	CALL       _Soft_I2C_Stop+0
;DS1307_module.mbas,215 :: 		end sub
	LDD        R16, Y+0
L_end_Ds1307_get_hour_0_12:
	OUT        SPL+0, R28
	OUT        SPL+1, R29
	POP        R29
	POP        R28
	RET
; end of _Ds1307_get_hour_0_12

_Ds1307_set_hour_0_23:
	PUSH       R28
	PUSH       R29
	IN         R28, SPL+0
	IN         R29, SPL+1
	ADIW       R28, 5

;DS1307_module.mbas,217 :: 		sub procedure Ds1307_set_hour_0_23(dim Hour_0_23 As Byte )
;DS1307_module.mbas,218 :: 		If Hour_0_23 > 23 Then
	LDD        R17, Y+0
	LDI        R16, 23
	CP         R16, R17
	BRLO       L__Ds1307_set_hour_0_23170
	JMP        L__Ds1307_set_hour_0_2379
L__Ds1307_set_hour_0_23170:
;DS1307_module.mbas,219 :: 		Exit
	JMP        L_end__Ds1307_set_hour_0_23
L__Ds1307_set_hour_0_2379:
;DS1307_module.mbas,221 :: 		A=DS1307_I2cRead(2) and %11000000
	LDI        R27, 2
	PUSH       R27
	CALL       DS1307_module_DS1307_I2cRead+0
	IN         R26, SPL+0
	IN         R27, SPL+1
	ADIW       R26, 1
	OUT        SPL+0, R26
	OUT        SPL+1, R27
	ANDI       R16, 192
	STS        _a+0, R16
;DS1307_module.mbas,222 :: 		if (a.6 = 0) or (Hour_0_23 < 12) then   'is 24h mode or >> is 12h mod and is<12
	LDS        R27, _a+0
	CBR        R18, 1
	SBRS       R27, 6
	SBR        R18, 1
	LDD        R16, Y+0
	CPI        R16, 12
	LDI        R17, 0
	BRSH       L__Ds1307_set_hour_0_23173
	LDI        R17, 255
L__Ds1307_set_hour_0_23173:
	CLR        R16
	SBRC       R18, 0
	INC        R16
	OR         R16, R17
	BRNE       L__Ds1307_set_hour_0_23174
	JMP        L__Ds1307_set_hour_0_2382
L__Ds1307_set_hour_0_23174:
;DS1307_module.mbas,223 :: 		a = A Or Dec2Bcd(Hour_0_23)
	LDD        R2, Y+0
	CALL       _Dec2Bcd+0
	LDS        R17, _a+0
	OR         R16, R17
	STS        _a+0, R16
	JMP        L__Ds1307_set_hour_0_2383
;DS1307_module.mbas,224 :: 		else              'is 12h mode
L__Ds1307_set_hour_0_2382:
;DS1307_module.mbas,225 :: 		if Hour_0_23 = 12 Then   'pm is=12
	LDD        R16, Y+0
	CPI        R16, 12
	BREQ       L__Ds1307_set_hour_0_23175
	JMP        L__Ds1307_set_hour_0_2385
L__Ds1307_set_hour_0_23175:
;DS1307_module.mbas,226 :: 		a = (A Or Dec2Bcd(Hour_0_23)) Or %00100000
	LDD        R2, Y+0
	CALL       _Dec2Bcd+0
	LDS        R17, _a+0
	OR         R16, R17
	ORI        R16, 32
	STS        _a+0, R16
	JMP        L__Ds1307_set_hour_0_2386
;DS1307_module.mbas,227 :: 		else                     'pm  is>12
L__Ds1307_set_hour_0_2385:
;DS1307_module.mbas,228 :: 		a = (A Or Dec2Bcd(Hour_0_23-12)) Or %00100000
	LDD        R16, Y+0
	SUBI       R16, 12
	MOV        R2, R16
	CALL       _Dec2Bcd+0
	LDS        R17, _a+0
	OR         R16, R17
	ORI        R16, 32
	STS        _a+0, R16
;DS1307_module.mbas,229 :: 		end if
L__Ds1307_set_hour_0_2386:
;DS1307_module.mbas,230 :: 		end if
L__Ds1307_set_hour_0_2383:
;DS1307_module.mbas,231 :: 		DS1307_I2cwrite(2,a)
	LDS        R16, _a+0
	PUSH       R16
	LDI        R27, 2
	PUSH       R27
	CALL       DS1307_module_DS1307_I2cwrite+0
	IN         R26, SPL+0
	IN         R27, SPL+1
	ADIW       R26, 2
	OUT        SPL+0, R26
	OUT        SPL+1, R27
;DS1307_module.mbas,232 :: 		Soft_I2C_Stop()
	CALL       _Soft_I2C_Stop+0
;DS1307_module.mbas,233 :: 		end sub
L_end__Ds1307_set_hour_0_23:
L_end_Ds1307_set_hour_0_23:
	POP        R29
	POP        R28
	RET
; end of _Ds1307_set_hour_0_23

_Ds1307_set_hour_0_11:
	PUSH       R28
	PUSH       R29
	IN         R28, SPL+0
	IN         R29, SPL+1
	ADIW       R28, 5

;DS1307_module.mbas,235 :: 		Sub procedure Ds1307_set_hour_0_11(dim Hour_0_12  , Am0_pm1 As Byte )
;DS1307_module.mbas,236 :: 		If Hour_0_12 > 12 Then
	LDD        R17, Y+0
	LDI        R16, 12
	CP         R16, R17
	BRLO       L__Ds1307_set_hour_0_11177
	JMP        L__Ds1307_set_hour_0_1189
L__Ds1307_set_hour_0_11177:
;DS1307_module.mbas,237 :: 		Exit
	JMP        L_end__Ds1307_set_hour_0_11
;DS1307_module.mbas,238 :: 		Else
L__Ds1307_set_hour_0_1189:
;DS1307_module.mbas,239 :: 		if Am0_pm1 > 1 Then
	LDD        R17, Y+1
	LDI        R16, 1
	CP         R16, R17
	BRLO       L__Ds1307_set_hour_0_11178
	JMP        L__Ds1307_set_hour_0_1192
L__Ds1307_set_hour_0_11178:
;DS1307_module.mbas,240 :: 		Exit
	JMP        L_end__Ds1307_set_hour_0_11
;DS1307_module.mbas,241 :: 		else
L__Ds1307_set_hour_0_1192:
;DS1307_module.mbas,242 :: 		if Hour_0_12 = 0 Then
	LDD        R16, Y+0
	CPI        R16, 0
	BREQ       L__Ds1307_set_hour_0_11179
	JMP        L__Ds1307_set_hour_0_1195
L__Ds1307_set_hour_0_11179:
;DS1307_module.mbas,243 :: 		Am0_pm1 = 0
	LDI        R27, 0
	STD        Y+1, R27
	JMP        L__Ds1307_set_hour_0_1196
;DS1307_module.mbas,244 :: 		else
L__Ds1307_set_hour_0_1195:
;DS1307_module.mbas,245 :: 		if Hour_0_12 = 12 Then
	LDD        R16, Y+0
	CPI        R16, 12
	BREQ       L__Ds1307_set_hour_0_11180
	JMP        L__Ds1307_set_hour_0_1198
L__Ds1307_set_hour_0_11180:
;DS1307_module.mbas,246 :: 		Am0_pm1 = 1
	LDI        R27, 1
	STD        Y+1, R27
L__Ds1307_set_hour_0_1198:
;DS1307_module.mbas,248 :: 		end if
L__Ds1307_set_hour_0_1196:
;DS1307_module.mbas,251 :: 		A=DS1307_I2cRead(2) And %11000000
	LDI        R27, 2
	PUSH       R27
	CALL       DS1307_module_DS1307_I2cRead+0
	IN         R26, SPL+0
	IN         R27, SPL+1
	ADIW       R26, 1
	OUT        SPL+0, R26
	OUT        SPL+1, R27
	ANDI       R16, 192
	STS        _a+0, R16
;DS1307_module.mbas,252 :: 		if a.6= 0 then      'is 24h mode
	LDS        R27, _a+0
	SBRC       R27, 6
	JMP        L__Ds1307_set_hour_0_11101
;DS1307_module.mbas,253 :: 		If (Am0_pm1 = 1) and (Hour_0_12 <> 12)  Then
	LDD        R16, Y+1
	CPI        R16, 1
	LDI        R17, 0
	BRNE       L__Ds1307_set_hour_0_11181
	LDI        R17, 255
L__Ds1307_set_hour_0_11181:
	LDD        R16, Y+0
	CPI        R16, 12
	LDI        R27, 0
	BREQ       L__Ds1307_set_hour_0_11182
	LDI        R27, 255
L__Ds1307_set_hour_0_11182:
	MOV        R16, R27
	AND        R16, R17
	BRNE       L__Ds1307_set_hour_0_11183
	JMP        L__Ds1307_set_hour_0_11104
L__Ds1307_set_hour_0_11183:
;DS1307_module.mbas,254 :: 		Hour_0_12 = Hour_0_12 + 12
	LDD        R16, Y+0
	SUBI       R16, 244
	STD        Y+0, R16
L__Ds1307_set_hour_0_11104:
;DS1307_module.mbas,256 :: 		A = A Or Dec2Bcd(hour_0_12)
	LDD        R2, Y+0
	CALL       _Dec2Bcd+0
	LDS        R17, _a+0
	OR         R16, R17
	STS        _a+0, R16
	JMP        L__Ds1307_set_hour_0_11102
;DS1307_module.mbas,257 :: 		else                'is 12h mode
L__Ds1307_set_hour_0_11101:
;DS1307_module.mbas,258 :: 		A = A Or Dec2Bcd(hour_0_12)
	LDD        R2, Y+0
	CALL       _Dec2Bcd+0
	LDS        R17, _a+0
	OR         R16, R17
	STS        _a+0, R16
;DS1307_module.mbas,259 :: 		If Am0_pm1 = 1 Then
	LDD        R16, Y+1
	CPI        R16, 1
	BREQ       L__Ds1307_set_hour_0_11184
	JMP        L__Ds1307_set_hour_0_11107
L__Ds1307_set_hour_0_11184:
;DS1307_module.mbas,260 :: 		A.5=1                              'pm
	LDS        R27, _a+0
	SBR        R27, 32
	STS        _a+0, R27
	JMP        L__Ds1307_set_hour_0_11108
;DS1307_module.mbas,261 :: 		Else
L__Ds1307_set_hour_0_11107:
;DS1307_module.mbas,262 :: 		A.5=0                              'am
	LDS        R27, _a+0
	CBR        R27, 32
	STS        _a+0, R27
;DS1307_module.mbas,263 :: 		End If
L__Ds1307_set_hour_0_11108:
;DS1307_module.mbas,264 :: 		end if
L__Ds1307_set_hour_0_11102:
;DS1307_module.mbas,265 :: 		DS1307_I2cwrite(2,a)
	LDS        R16, _a+0
	PUSH       R16
	LDI        R27, 2
	PUSH       R27
	CALL       DS1307_module_DS1307_I2cwrite+0
	IN         R26, SPL+0
	IN         R27, SPL+1
	ADIW       R26, 2
	OUT        SPL+0, R26
	OUT        SPL+1, R27
;DS1307_module.mbas,266 :: 		Soft_I2C_Stop()
	CALL       _Soft_I2C_Stop+0
;DS1307_module.mbas,267 :: 		end sub
L_end__Ds1307_set_hour_0_11:
L_end_Ds1307_set_hour_0_11:
	POP        R29
	POP        R28
	RET
; end of _Ds1307_set_hour_0_11

_Ds1307_get_dayofweek_1_7:
	PUSH       R28
	PUSH       R29
	IN         R28, SPL+0
	IN         R29, SPL+1
	SBIW       R28, 1
	OUT        SPL+0, R28
	OUT        SPL+1, R29
	ADIW       R28, 1

;DS1307_module.mbas,269 :: 		sub Function Ds1307_get_dayofweek_1_7()as Byte
;DS1307_module.mbas,270 :: 		Ds1307_get_dayofweek_1_7 = Bcd2Dec(DS1307_I2cRead(3))
	LDI        R27, 3
	PUSH       R27
	CALL       DS1307_module_DS1307_I2cRead+0
	IN         R26, SPL+0
	IN         R27, SPL+1
	ADIW       R26, 1
	OUT        SPL+0, R26
	OUT        SPL+1, R27
	MOV        R2, R16
	CALL       _Bcd2Dec+0
	STD        Y+0, R16
;DS1307_module.mbas,271 :: 		Soft_I2C_Stop()
	CALL       _Soft_I2C_Stop+0
;DS1307_module.mbas,272 :: 		end sub
	LDD        R16, Y+0
L_end_Ds1307_get_dayofweek_1_7:
	OUT        SPL+0, R28
	OUT        SPL+1, R29
	POP        R29
	POP        R28
	RET
; end of _Ds1307_get_dayofweek_1_7

_Ds1307_set_dayofweek:
	PUSH       R28
	PUSH       R29
	IN         R28, SPL+0
	IN         R29, SPL+1
	ADIW       R28, 5

;DS1307_module.mbas,274 :: 		Sub procedure Ds1307_set_dayofweek(dim Dayofweek_1_7 As Byte )
;DS1307_module.mbas,275 :: 		If (Dayofweek_1_7 = 0) or (Dayofweek_1_7 > 7) Then
	LDD        R18, Y+0
	CPI        R18, 0
	LDI        R17, 0
	BRNE       L__Ds1307_set_dayofweek187
	LDI        R17, 255
L__Ds1307_set_dayofweek187:
	LDI        R16, 7
	CP         R16, R18
	LDI        R27, 0
	BRSH       L__Ds1307_set_dayofweek188
	LDI        R27, 255
L__Ds1307_set_dayofweek188:
	MOV        R16, R27
	OR         R16, R17
	BRNE       L__Ds1307_set_dayofweek189
	JMP        L__Ds1307_set_dayofweek112
L__Ds1307_set_dayofweek189:
;DS1307_module.mbas,276 :: 		Exit
	JMP        L_end__Ds1307_set_dayofweek
L__Ds1307_set_dayofweek112:
;DS1307_module.mbas,278 :: 		DS1307_I2cwrite(3,Dec2Bcd(dayofweek_1_7))
	LDD        R2, Y+0
	CALL       _Dec2Bcd+0
	PUSH       R16
	LDI        R27, 3
	PUSH       R27
	CALL       DS1307_module_DS1307_I2cwrite+0
	IN         R26, SPL+0
	IN         R27, SPL+1
	ADIW       R26, 2
	OUT        SPL+0, R26
	OUT        SPL+1, R27
;DS1307_module.mbas,279 :: 		Soft_I2C_Stop()
	CALL       _Soft_I2C_Stop+0
;DS1307_module.mbas,280 :: 		end sub
L_end__Ds1307_set_dayofweek:
L_end_Ds1307_set_dayofweek:
	POP        R29
	POP        R28
	RET
; end of _Ds1307_set_dayofweek

_Ds1307_get_dayofmonth_1_31:
	PUSH       R28
	PUSH       R29
	IN         R28, SPL+0
	IN         R29, SPL+1
	SBIW       R28, 1
	OUT        SPL+0, R28
	OUT        SPL+1, R29
	ADIW       R28, 1

;DS1307_module.mbas,282 :: 		sub Function Ds1307_get_dayofmonth_1_31()as Byte
;DS1307_module.mbas,283 :: 		Ds1307_get_dayofmonth_1_31 = Bcd2Dec(DS1307_I2cRead(4))
	LDI        R27, 4
	PUSH       R27
	CALL       DS1307_module_DS1307_I2cRead+0
	IN         R26, SPL+0
	IN         R27, SPL+1
	ADIW       R26, 1
	OUT        SPL+0, R26
	OUT        SPL+1, R27
	MOV        R2, R16
	CALL       _Bcd2Dec+0
	STD        Y+0, R16
;DS1307_module.mbas,284 :: 		Soft_I2C_Stop()
	CALL       _Soft_I2C_Stop+0
;DS1307_module.mbas,285 :: 		end sub
	LDD        R16, Y+0
L_end_Ds1307_get_dayofmonth_1_31:
	OUT        SPL+0, R28
	OUT        SPL+1, R29
	POP        R29
	POP        R28
	RET
; end of _Ds1307_get_dayofmonth_1_31

_Ds1307_set_dayofmonth:
	PUSH       R28
	PUSH       R29
	IN         R28, SPL+0
	IN         R29, SPL+1
	ADIW       R28, 5

;DS1307_module.mbas,287 :: 		Sub procedure Ds1307_set_dayofmonth(dim Dayofmonth_1_31 As Byte)
;DS1307_module.mbas,288 :: 		If (Dayofmonth_1_31 = 0) or (Dayofmonth_1_31 > 31) Then
	LDD        R18, Y+0
	CPI        R18, 0
	LDI        R17, 0
	BRNE       L__Ds1307_set_dayofmonth192
	LDI        R17, 255
L__Ds1307_set_dayofmonth192:
	LDI        R16, 31
	CP         R16, R18
	LDI        R27, 0
	BRSH       L__Ds1307_set_dayofmonth193
	LDI        R27, 255
L__Ds1307_set_dayofmonth193:
	MOV        R16, R27
	OR         R16, R17
	BRNE       L__Ds1307_set_dayofmonth194
	JMP        L__Ds1307_set_dayofmonth117
L__Ds1307_set_dayofmonth194:
;DS1307_module.mbas,289 :: 		exit
	JMP        L_end__Ds1307_set_dayofmonth
L__Ds1307_set_dayofmonth117:
;DS1307_module.mbas,291 :: 		DS1307_I2cwrite(4,Dec2Bcd(dayofmonth_1_31))
	LDD        R2, Y+0
	CALL       _Dec2Bcd+0
	PUSH       R16
	LDI        R27, 4
	PUSH       R27
	CALL       DS1307_module_DS1307_I2cwrite+0
	IN         R26, SPL+0
	IN         R27, SPL+1
	ADIW       R26, 2
	OUT        SPL+0, R26
	OUT        SPL+1, R27
;DS1307_module.mbas,292 :: 		Soft_I2C_Stop()
	CALL       _Soft_I2C_Stop+0
;DS1307_module.mbas,293 :: 		end sub
L_end__Ds1307_set_dayofmonth:
L_end_Ds1307_set_dayofmonth:
	POP        R29
	POP        R28
	RET
; end of _Ds1307_set_dayofmonth

_Ds1307_get_monthofyear_1_12:
	PUSH       R28
	PUSH       R29
	IN         R28, SPL+0
	IN         R29, SPL+1
	SBIW       R28, 1
	OUT        SPL+0, R28
	OUT        SPL+1, R29
	ADIW       R28, 1

;DS1307_module.mbas,295 :: 		sub Function Ds1307_get_monthofyear_1_12()as Byte
;DS1307_module.mbas,296 :: 		Ds1307_get_monthofyear_1_12 = Bcd2Dec(DS1307_I2cRead(5))
	LDI        R27, 5
	PUSH       R27
	CALL       DS1307_module_DS1307_I2cRead+0
	IN         R26, SPL+0
	IN         R27, SPL+1
	ADIW       R26, 1
	OUT        SPL+0, R26
	OUT        SPL+1, R27
	MOV        R2, R16
	CALL       _Bcd2Dec+0
	STD        Y+0, R16
;DS1307_module.mbas,297 :: 		Soft_I2C_Stop()
	CALL       _Soft_I2C_Stop+0
;DS1307_module.mbas,298 :: 		end sub
	LDD        R16, Y+0
L_end_Ds1307_get_monthofyear_1_12:
	OUT        SPL+0, R28
	OUT        SPL+1, R29
	POP        R29
	POP        R28
	RET
; end of _Ds1307_get_monthofyear_1_12

_Ds1307_set_monthofyear:
	PUSH       R28
	PUSH       R29
	IN         R28, SPL+0
	IN         R29, SPL+1
	ADIW       R28, 5

;DS1307_module.mbas,300 :: 		Sub procedure Ds1307_set_monthofyear(dim Monthofyear_1_12 As Byte )
;DS1307_module.mbas,301 :: 		If (Monthofyear_1_12 = 0) or (Monthofyear_1_12 > 12) Then
	LDD        R18, Y+0
	CPI        R18, 0
	LDI        R17, 0
	BRNE       L__Ds1307_set_monthofyear197
	LDI        R17, 255
L__Ds1307_set_monthofyear197:
	LDI        R16, 12
	CP         R16, R18
	LDI        R27, 0
	BRSH       L__Ds1307_set_monthofyear198
	LDI        R27, 255
L__Ds1307_set_monthofyear198:
	MOV        R16, R27
	OR         R16, R17
	BRNE       L__Ds1307_set_monthofyear199
	JMP        L__Ds1307_set_monthofyear122
L__Ds1307_set_monthofyear199:
;DS1307_module.mbas,302 :: 		exit
	JMP        L_end__Ds1307_set_monthofyear
L__Ds1307_set_monthofyear122:
;DS1307_module.mbas,304 :: 		DS1307_I2cwrite(5, Dec2Bcd(Monthofyear_1_12))
	LDD        R2, Y+0
	CALL       _Dec2Bcd+0
	PUSH       R16
	LDI        R27, 5
	PUSH       R27
	CALL       DS1307_module_DS1307_I2cwrite+0
	IN         R26, SPL+0
	IN         R27, SPL+1
	ADIW       R26, 2
	OUT        SPL+0, R26
	OUT        SPL+1, R27
;DS1307_module.mbas,305 :: 		Soft_I2C_Stop()
	CALL       _Soft_I2C_Stop+0
;DS1307_module.mbas,306 :: 		end sub
L_end__Ds1307_set_monthofyear:
L_end_Ds1307_set_monthofyear:
	POP        R29
	POP        R28
	RET
; end of _Ds1307_set_monthofyear

_Ds1307_get_year_0_99:
	PUSH       R28
	PUSH       R29
	IN         R28, SPL+0
	IN         R29, SPL+1
	SBIW       R28, 1
	OUT        SPL+0, R28
	OUT        SPL+1, R29
	ADIW       R28, 1

;DS1307_module.mbas,308 :: 		sub Function Ds1307_get_year_0_99()as Byte
;DS1307_module.mbas,309 :: 		Ds1307_get_year_0_99 = Bcd2Dec(DS1307_I2cRead(6))
	LDI        R27, 6
	PUSH       R27
	CALL       DS1307_module_DS1307_I2cRead+0
	IN         R26, SPL+0
	IN         R27, SPL+1
	ADIW       R26, 1
	OUT        SPL+0, R26
	OUT        SPL+1, R27
	MOV        R2, R16
	CALL       _Bcd2Dec+0
	STD        Y+0, R16
;DS1307_module.mbas,310 :: 		Soft_I2C_Stop()
	CALL       _Soft_I2C_Stop+0
;DS1307_module.mbas,311 :: 		end sub
	LDD        R16, Y+0
L_end_Ds1307_get_year_0_99:
	OUT        SPL+0, R28
	OUT        SPL+1, R29
	POP        R29
	POP        R28
	RET
; end of _Ds1307_get_year_0_99

_Ds1307_set_year:
	PUSH       R28
	PUSH       R29
	IN         R28, SPL+0
	IN         R29, SPL+1
	ADIW       R28, 5

;DS1307_module.mbas,313 :: 		Sub procedure Ds1307_set_year(dim Year_0_99 As Byte )
;DS1307_module.mbas,314 :: 		If Year_0_99 > 99 Then
	LDD        R17, Y+0
	LDI        R16, 99
	CP         R16, R17
	BRLO       L__Ds1307_set_year202
	JMP        L__Ds1307_set_year127
L__Ds1307_set_year202:
;DS1307_module.mbas,315 :: 		Exit
	JMP        L_end__Ds1307_set_year
L__Ds1307_set_year127:
;DS1307_module.mbas,317 :: 		DS1307_I2cwrite(6,Dec2Bcd(Year_0_99))
	LDD        R2, Y+0
	CALL       _Dec2Bcd+0
	PUSH       R16
	LDI        R27, 6
	PUSH       R27
	CALL       DS1307_module_DS1307_I2cwrite+0
	IN         R26, SPL+0
	IN         R27, SPL+1
	ADIW       R26, 2
	OUT        SPL+0, R26
	OUT        SPL+1, R27
;DS1307_module.mbas,318 :: 		Soft_I2C_Stop()
	CALL       _Soft_I2C_Stop+0
;DS1307_module.mbas,319 :: 		end sub
L_end__Ds1307_set_year:
L_end_Ds1307_set_year:
	POP        R29
	POP        R28
	RET
; end of _Ds1307_set_year

_Ds1307_external_1hz_on:

;DS1307_module.mbas,321 :: 		Sub procedure Ds1307_external_1hz_on()
;DS1307_module.mbas,322 :: 		DS1307_I2cwrite(7,%00010000)
	LDI        R27, 16
	PUSH       R27
	LDI        R27, 7
	PUSH       R27
	CALL       DS1307_module_DS1307_I2cwrite+0
	IN         R26, SPL+0
	IN         R27, SPL+1
	ADIW       R26, 2
	OUT        SPL+0, R26
	OUT        SPL+1, R27
;DS1307_module.mbas,323 :: 		Soft_I2C_Stop()
	CALL       _Soft_I2C_Stop+0
;DS1307_module.mbas,324 :: 		end sub
L_end_Ds1307_external_1hz_on:
	RET
; end of _Ds1307_external_1hz_on

_Ds1307_external_4096hz_on:

;DS1307_module.mbas,326 :: 		sub procedure Ds1307_external_4096hz_on()
;DS1307_module.mbas,327 :: 		DS1307_I2cwrite(7,%00010001)
	LDI        R27, 17
	PUSH       R27
	LDI        R27, 7
	PUSH       R27
	CALL       DS1307_module_DS1307_I2cwrite+0
	IN         R26, SPL+0
	IN         R27, SPL+1
	ADIW       R26, 2
	OUT        SPL+0, R26
	OUT        SPL+1, R27
;DS1307_module.mbas,328 :: 		Soft_I2C_Stop()
	CALL       _Soft_I2C_Stop+0
;DS1307_module.mbas,329 :: 		end sub
L_end_Ds1307_external_4096hz_on:
	RET
; end of _Ds1307_external_4096hz_on

_Ds1307_external_8192hz_on:

;DS1307_module.mbas,331 :: 		sub procedure Ds1307_external_8192hz_on()
;DS1307_module.mbas,332 :: 		DS1307_I2cwrite(7,%00010010)
	LDI        R27, 18
	PUSH       R27
	LDI        R27, 7
	PUSH       R27
	CALL       DS1307_module_DS1307_I2cwrite+0
	IN         R26, SPL+0
	IN         R27, SPL+1
	ADIW       R26, 2
	OUT        SPL+0, R26
	OUT        SPL+1, R27
;DS1307_module.mbas,333 :: 		Soft_I2C_Stop()
	CALL       _Soft_I2C_Stop+0
;DS1307_module.mbas,334 :: 		end sub
L_end_Ds1307_external_8192hz_on:
	RET
; end of _Ds1307_external_8192hz_on

_Ds1307_external_32768hz_on:

;DS1307_module.mbas,336 :: 		sub procedure Ds1307_external_32768hz_on()
;DS1307_module.mbas,337 :: 		DS1307_I2cwrite(7,%00010011)
	LDI        R27, 19
	PUSH       R27
	LDI        R27, 7
	PUSH       R27
	CALL       DS1307_module_DS1307_I2cwrite+0
	IN         R26, SPL+0
	IN         R27, SPL+1
	ADIW       R26, 2
	OUT        SPL+0, R26
	OUT        SPL+1, R27
;DS1307_module.mbas,338 :: 		Soft_I2C_Stop()
	CALL       _Soft_I2C_Stop+0
;DS1307_module.mbas,339 :: 		end sub
L_end_Ds1307_external_32768hz_on:
	RET
; end of _Ds1307_external_32768hz_on

_Ds1307_external_off_sqwe_0:

;DS1307_module.mbas,341 :: 		sub procedure Ds1307_external_off_sqwe_0()
;DS1307_module.mbas,342 :: 		DS1307_I2cwrite(7,%00000000)
	LDI        R27, 0
	PUSH       R27
	LDI        R27, 7
	PUSH       R27
	CALL       DS1307_module_DS1307_I2cwrite+0
	IN         R26, SPL+0
	IN         R27, SPL+1
	ADIW       R26, 2
	OUT        SPL+0, R26
	OUT        SPL+1, R27
;DS1307_module.mbas,343 :: 		Soft_I2C_Stop()
	CALL       _Soft_I2C_Stop+0
;DS1307_module.mbas,344 :: 		end sub
L_end_Ds1307_external_off_sqwe_0:
	RET
; end of _Ds1307_external_off_sqwe_0

_Ds1307_external_off_sqwe_1:

;DS1307_module.mbas,346 :: 		sub procedure Ds1307_external_off_sqwe_1()
;DS1307_module.mbas,347 :: 		DS1307_I2cwrite(7,%10000000)
	LDI        R27, 128
	PUSH       R27
	LDI        R27, 7
	PUSH       R27
	CALL       DS1307_module_DS1307_I2cwrite+0
	IN         R26, SPL+0
	IN         R27, SPL+1
	ADIW       R26, 2
	OUT        SPL+0, R26
	OUT        SPL+1, R27
;DS1307_module.mbas,348 :: 		Soft_I2C_Stop()
	CALL       _Soft_I2C_Stop+0
;DS1307_module.mbas,349 :: 		end sub
L_end_Ds1307_external_off_sqwe_1:
	RET
; end of _Ds1307_external_off_sqwe_1

_Ds1307_read_ram:
	PUSH       R28
	PUSH       R29
	IN         R28, SPL+0
	IN         R29, SPL+1
	SBIW       R28, 1
	OUT        SPL+0, R28
	OUT        SPL+1, R29
	ADIW       R28, 1

;DS1307_module.mbas,351 :: 		sub Function Ds1307_read_ram(dim Ram_byte_index_0_55 As Byte) As Byte
;DS1307_module.mbas,352 :: 		If Ram_byte_index_0_55 > 55 Then
	LDD        R17, Y+5
	LDI        R16, 55
	CP         R16, R17
	BRLO       L__Ds1307_read_ram210
	JMP        L__Ds1307_read_ram137
L__Ds1307_read_ram210:
;DS1307_module.mbas,353 :: 		Exit
	JMP        L_end__Ds1307_read_ram
L__Ds1307_read_ram137:
;DS1307_module.mbas,355 :: 		Ds1307_read_ram = DS1307_I2cRead(Ram_byte_index_0_55 + 8)
	LDD        R16, Y+5
	SUBI       R16, 248
	PUSH       R16
	CALL       DS1307_module_DS1307_I2cRead+0
	IN         R26, SPL+0
	IN         R27, SPL+1
	ADIW       R26, 1
	OUT        SPL+0, R26
	OUT        SPL+1, R27
	STD        Y+0, R16
;DS1307_module.mbas,356 :: 		Soft_I2C_Stop()
	CALL       _Soft_I2C_Stop+0
;DS1307_module.mbas,357 :: 		end sub
L_end__Ds1307_read_ram:
	LDD        R16, Y+0
L_end_Ds1307_read_ram:
	OUT        SPL+0, R28
	OUT        SPL+1, R29
	POP        R29
	POP        R28
	RET
; end of _Ds1307_read_ram

_Ds1307_write_ram:
	PUSH       R28
	PUSH       R29
	IN         R28, SPL+0
	IN         R29, SPL+1
	ADIW       R28, 5

;DS1307_module.mbas,359 :: 		sub procedure Ds1307_write_ram(dim Ram_byte_index_0_55 , Value As Byte)
;DS1307_module.mbas,360 :: 		If Ram_byte_index_0_55 > 55 Then
	LDD        R17, Y+0
	LDI        R16, 55
	CP         R16, R17
	BRLO       L__Ds1307_write_ram212
	JMP        L__Ds1307_write_ram141
L__Ds1307_write_ram212:
;DS1307_module.mbas,361 :: 		Exit
	JMP        L_end__Ds1307_write_ram
L__Ds1307_write_ram141:
;DS1307_module.mbas,363 :: 		DS1307_I2cwrite(Ram_byte_index_0_55 + 8 , Value)
	LDD        R16, Y+0
	MOV        R17, R16
	SUBI       R17, 248
	LDD        R16, Y+1
	PUSH       R16
	PUSH       R17
	CALL       DS1307_module_DS1307_I2cwrite+0
	IN         R26, SPL+0
	IN         R27, SPL+1
	ADIW       R26, 2
	OUT        SPL+0, R26
	OUT        SPL+1, R27
;DS1307_module.mbas,364 :: 		Soft_I2C_Stop()
	CALL       _Soft_I2C_Stop+0
;DS1307_module.mbas,365 :: 		end sub
L_end__Ds1307_write_ram:
L_end_Ds1307_write_ram:
	POP        R29
	POP        R28
	RET
; end of _Ds1307_write_ram

_DS1307_module_?main:

;DS1307_module.mbas,367 :: 		end.
L_end_DS1307_module_?main:
	RET
; end of _DS1307_module_?main
